<div class="flex flex-col flex-auto w-full" style="background-color:#F8F8F8;">

    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="backButton()">
            <mat-icon class="mt-6 mb-6 " style="color: #0038FF;">keyboard_arrow_left</mat-icon>
            <span class="mt-6 mb-6 font-Semibold-16" style="color: #0038FF;">Back</span>
        </div>
        <div>
            <mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon>
        </div>
    </div>

    <div class="font-Semibold-40 font-141461 mt-8 mb-8" style="text-align:center !important;">
        <div>Enter PIN</div>
    </div>

    <div class="flex flex-col items-center sm:justify-center min-w-0">
        <div class="w-full mx-auto mb-10 shadow bg-white" style="width: 491px !important;box-shadow: 0px 0px 6px #0000001A;
        ">
            <!-- Main -->
            <div class="w-full px-20 py-12">
                <!-- CONTENT GOES HERE -->
                <div
                    class="relative flex flex-col flex-auto items-center justify-center font-Regular-16 font-7B7B7B mb-5">
                    <div>Please enter your PIN to proceed</div>
                </div>
                <ngx-pincode [hideChrs]="true" type="number" [size]="6" (completed)="pincodeCompleted($event)">
                </ngx-pincode>
                <div class="text-center mt-7">
                    <a class=" font-Regular-14 font-0038ff" style="cursor: pointer" (click)="forgotPin()">Forgot Your
                        PIN?
                    </a>
                </div>

                <!-- Alert -->
                <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type" [@shake]="alert.type === 'error'"
                    class="justify-center">
                    {{alert.message}}
                </fuse-alert>

                <div>
                    <button class="fuse-mat-button-medium button-r5 w-full mt-6" mat-flat-button [color]="'primary'"
                        (click)="verifyPin()" [disabled]="disableButton">
                        Continue
                        <mat-progress-spinner *ngIf="" [diameter]=" 24" [mode]="'indeterminate'">
                        </mat-progress-spinner>
                    </button>
                </div>


            </div>
        </div>
    </div>
</div>